%global momorel 4
%global emacsver  22.0.50
%global xemacsver 21.4
%global e_sitedir %{_datadir}/emacs/site-lisp
%global xe_sitedir  %{_datadir}/xemacs/site-lisp
%global sitepdir  %{_datadir}/xemacs/site-packages

Name: elisp-ruby-mode
Summary: Ruby editing mode
Version: 1.83
Release: %{momorel}m
License: GPL
Group: Applications/Editors
URL: http://www.ruby-lang.org/cgi-bin/cvsweb.cgi/ruby/misc/

Source0: ruby-mode.el
Source1: inf-ruby.el
Source2: rubydb3x.el
Source3: README

Requires: emacsen
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: emacs >= %{emacsver}, xemacs >= %{xemacsver}, xemacs-sumo

%description
Ruby editing mode for Emacs.

%package -n ruby-mode-emacs
Summary: Major mode for Ruby editing on Emacs
Group: Applications/Editors
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}

%description -n ruby-mode-emacs
Major mode for Ruby editing.

%package -n ruby-mode-xemacs
Summary: Major mode for Ruby editing on XEmacs
Group: Applications/Editors
Requires: %{name} = %{version}-%{release}
Requires: xemacs >= %{xemacsver}

%description -n ruby-mode-xemacs
Major mode for Ruby editing.

%prep
%setup -q -cT
cp -p %{SOURCE0} %{SOURCE1} %{SOURCE3} .
cp -p %{SOURCE2} rubydb.el

%build
emacs -batch -q -no-site-file -f batch-byte-compile ruby-mode.el
mv ruby-mode.elc ruby-mode.elc.emacs
emacs -batch -q -no-site-file -f batch-byte-compile rubydb.el
mv rubydb.elc rubydb.elc.emacs
emacs -batch -q -no-site-file -eval "(add-to-list 'load-path \".\")" \
    -f batch-byte-compile inf-ruby.el
mv inf-ruby.elc inf-ruby.elc.emacs

xemacs -batch -q -no-site-file -f batch-byte-compile ruby-mode.el
mv ruby-mode.elc ruby-mode.elc.xemacs
xemacs -batch -q -no-site-file -f batch-byte-compile rubydb.el
mv rubydb.elc rubydb.elc.xemacs
xemacs -batch -q -no-site-file -eval "(add-to-list 'load-path \".\")" \
    -f batch-byte-compile inf-ruby.el
mv inf-ruby.elc inf-ruby.elc.xemacs

%install
test -d %{buildroot} && rm -rf %{buildroot}
mkdir -p %{buildroot}%{e_sitedir}/ruby
install -m 0644 *.el %{buildroot}%{e_sitedir}/ruby
for i in *.emacs;
    do install -m 0644 $i %{buildroot}%{e_sitedir}/ruby/`basename $i .emacs`
done

mkdir -p %{buildroot}%{xe_sitedir}/ruby
install -m 0644 *.el %{buildroot}%{xe_sitedir}/ruby
for i in *.xemacs;
    do install -m 0644 $i %{buildroot}%{xe_sitedir}/ruby/`basename $i .emacs`
done

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README

%files -n ruby-mode-emacs
%defattr(-,root,root)
%{e_sitedir}/ruby

%files -n ruby-mode-xemacs
%defattr(-,root,root)
%{xe_sitedir}/ruby

%changelog
* Fri Feb 18 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.83-4m)
- use %%{e_sitedir} %%{xe_sitedir}.
- xemacs elisps destination is moved from %%{_libdir} to %%{_datadir}.

* Sat Feb 12 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.83-3m)
- rebuild against emacs 22.0.50

* Sun Nov 21 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.83-2m)
- rebuild against emacs-21.3.50

* Sat Aug 21 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.83-1m)

* Fri Feb 13 2004 Kenta MURATA <muraken2@nifty.com>
- (1.76-3m)
- [ruby-list:39163].

* Thu Feb 12 2004 Kenta MURATA <muraken2@nifty.com>
- (1.76-1m)
- version up.
- [ruby-list:39156].

* Tue Dec 23 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.74-1m)
- update sources

* Sat Aug 02 2003 Kenta MURATA <muraken2@nifty.com>
- (1.69-1m)
- update sources.

* Thu Mar 20 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.62-2m)
- rebuild against emacs-21.3
- use rpm macro define
- use %%{_datadir} %%{_libdir} macro

* Mon Jan 13 2003 Kenta MURATA <muraken@momonga-linux.org>
- (1.62-1m)
- version up.

* Mon Dec  9 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.46-6m)
- Requires: emacsen

* Mon Dec 2 2002 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.46-5m)
- add BuildPreReq: xemacs-sumo

* Sun Feb 17 2002 Kenta MURATA <muraken@kondara.org>
- (1.46-4k)
- remove ``Requires: emacsen''.

* Fri Feb  8 2002 Kenta MURATA <muraken@kondara.org>
- (1.46-2k)

* Fri Jan 25 2002 Kazuhiko <kazuhiko@kondara.org>
- (1.45-2k)

* Tue Nov 13 2001 Kazuhiko <kazuhiko@kondara.org>
- (1.36-4k)
- grab directory

* Fri Nov  2 2001 Kenta MURATA <muraken2@nifty.com>
- (elis-ruby-mode-1.36-2k)
- append ruby-mode-xemacs as sub package

* Tue Sep 18 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.25.2.1-4k)
- modify spec file for jitterbug #882

* Tue Feb 27 2000 Kenta MURATA <muraken2@nifty.com>
- (1.6.1-3k)
- first build.
